﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        private Infragistics.Win.ValueList vl = null;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            List<CodeType> ct = new List<CodeType>();
            ct.Add(new CodeType() { Id = 1, Name = "one" });
            ct.Add(new CodeType() { Id = 2, Name = "two" });

            List<Code> c = new List<Code>();
            c.Add(new Code() { ID = 1, Name = "test", Description = "test", CodeTypeName = ct[0] });
            c.Add(new Code() { ID = 2, Name = "test", Description = "test", CodeTypeName = ct[1] });
            c.Add(new Code() { ID = 3, Name = "test", Description = "test", CodeTypeName = new CodeType() { Id = 1, Name = "one" } });
            c.Add(new Code() { ID = 4, Name = "test", Description = "test", CodeTypeName = new CodeType() { Id = 2, Name = "two" } });

            vl = new Infragistics.Win.ValueList();
            vl.ValueListItems.Add(ct[0], ct[0].Name);
            vl.ValueListItems.Add(ct[1], ct[1].Name);

            this.ultraGrid1.DataSource = c;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].Columns["CodeTypeName"].ValueList = this.vl;
            e.Layout.Bands[0].Columns["CodeTypeName"].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDownList;
        }
    }
}
